Subject: questions about draft-ietf-pkix-certstore-http-08

From: Cullen Jennings <[email-masked]>
Date: Fri, 15 Oct 2004 11:47:19 +0200

First of all let me say, I really like this and have for a long time - I'm
really glad to see the IESG last call on it.

I'm not exactly sure if I understand what the uri attribute matches. I want
something that matches any one of the entries in the SubjectAltName list.

In section 2.2 when using the uri attribute, I assume that if a certificate
had a SubjectAltName with a two URI's of say im:[email-masked] and
xmpp:[email-masked], if I did a query (with appropriate escaping which I
did not do below) of

GET /search.cgi?uri=im:[email-masked] HTTP/1.1

that it would find this cert. Do I have this correct?

Thanks, Cullen